# -*- coding: utf-8; -*-
################################################################################
#
#  Sideshow -- Case/Special Order Tracker
#  Copyright © 2024 Lance Edgar
#
#  This file is part of Sideshow.
#
#  Sideshow is free software: you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Sideshow is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Sideshow.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
Sideshow Menu
"""

from wuttaweb import menus as base


class SideshowMenuHandler(base.MenuHandler):
    """
    Sideshow menu handler
    """

    def make_menus(self, request, **kwargs):

        # TODO: override this if you need custom menus...

        # menus = [
        #     self.make_products_menu(request),
        #     self.make_admin_menu(request),
        # ]

        # ...but for now this uses default menus
        menus = super().make_menus(request, **kwargs)

        return menus
